# Class: ROTP::Arguments

Inherits:
  Object
  - Object
  - ROTP::Arguments
  show all

Defined in:
  lib/rotp/arguments.rb

## Instance Method Summary collapse

- #initialize(filename, arguments) ⇒ Arguments constructor

  A new instance of Arguments.

- #options ⇒ Object
- #to_s ⇒ Object

## Constructor Details

### #initialize(filename, arguments) ⇒ `Arguments`

Returns a new instance of Arguments.

    6
    7
    8
    9

    # File 'lib/rotp/arguments.rb', line 6

    def initialize(filename, arguments)
      @filename = filename
      @arguments = Array(arguments)
    end

## Instance Method Details

### #options ⇒ `Object`

    11
    12
    13
    14

    # File 'lib/rotp/arguments.rb', line 11

    def options
      parse
      options!
    end

### #to_s ⇒ `Object`

    16
    17
    18

    # File 'lib/rotp/arguments.rb', line 16

    def to_s
      parser.help + "\n"
    end